Get current subscription

GET/billing/v1/subscription

Returns the current organization subscription.

Authorization<token>

In: header

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/billingv1.Subscription",
  "$ref-value": {
    "properties": {
      "cancel_at_period_end": {
        "type": "boolean"
      },
      "currency": {
        "type": "string"
      },
      "current_period_end": {
        "type": "string"
      },
      "expiring_soon": {
        "type": "boolean"
      },
      "id": {
        "type": "string"
      },
      "org_id": {
        "type": "string"
      },
      "plan_id": {
        "type": "string"
      },
      "plan_name": {
        "type": "string"
      },
      "plan_type": {
        "type": "string"
      },
      "price": {
        "type": "string"
      },
      "status": {
        "type": "string"
      },
      "trials_ending_soon": {
        "type": "boolean"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/billing/v1/subscription"

OK

application/json

{
  "$ref": "#/components/schemas/billingv1.Subscription",
  "$ref-value": {
    "properties": {
      "cancel_at_period_end": {
        "type": "boolean"
      },
      "currency": {
        "type": "string"
      },
      "current_period_end": {
        "type": "string"
      },
      "expiring_soon": {
        "type": "boolean"
      },
      "id": {
        "type": "string"
      },
      "org_id": {
        "type": "string"
      },
      "plan_id": {
        "type": "string"
      },
      "plan_name": {
        "type": "string"
      },
      "plan_type": {
        "type": "string"
      },
      "price": {
        "type": "string"
      },
      "status": {
        "type": "string"
      },
      "trials_ending_soon": {
        "type": "boolean"
      }
    },
    "type": "object"
  }
}